summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-lang/ruby/Manifest4
-rw-r--r--dev-lang/ruby/metadata.xml40
-rw-r--r--dev-lang/ruby/ruby-1.8.7_p371.ebuild193
3 files changed, 237 insertions, 0 deletions
diff --git a/dev-lang/ruby/Manifest b/dev-lang/ruby/Manifest
new file mode 100644
index 00000000..bb06092e
--- /dev/null
+++ b/dev-lang/ruby/Manifest
@@ -0,0 +1,4 @@
+DIST ruby-1.8.7-p371.tar.bz2 4248262 SHA256 2dd0e463cd82039beb75c9b9f4ee20bef5f5b5ff68527008e5aee61cfb3b55e1 SHA512 992bb7a4b53f9112443230fe17842fa9500c04fbf4fabfe1c2c7b51fb90b3366354aeb6aac1850760fe3ab413cf6d970bd19e9ac0e613f2248a53dbee0e7ef3a WHIRLPOOL a461df561b2bf8643ac41a77f1794e89622d3f99216b047cfdc66c5a035433f823027af1cc644cb8b694ecf2a0314dbf838da9a2c74b0bfe33567100eb7bf0d6
+DIST ruby-patches-1.8.7_p371.tar.bz2 1751 SHA256 aac510388694255db850d7773d75e37b0d6ceefcb36786c61870f318d831be42 SHA512 21b3b6c8c91337414d68a30faf1f800854fa627c3b7078a42920b55a4c9c8af25997657ad5165a98096b14816f422bc88b0bbbb7735eeda6d5782c87ae9ff9cf WHIRLPOOL 8418d37166ddcb45c31c95cbddf957153d1c601ed33e6d23aa1fc9dd4328f3daa9a8b0fbb16720b2cab7f6ca0cf1c81cde99929339a53830e1168779645fe5c7
+EBUILD ruby-1.8.7_p371.ebuild 5528 SHA256 7d24df9a5819140d37bd6c4e529ebaf08a2bf3bf8f0fe3ebd22f3b18dc0dfb69 SHA512 3a9114ade0b5242404f823486ca28dcd00970c937cc01ede9dc0ac7096d99f549fe34d82756be254c3b74e0d4236d8d5e69f70183c38677282980c1b0be4af85 WHIRLPOOL cc6964bf2f87a521b5a9cb4bdd1452a1c8de82968f7ec0fb6e9e7c3187076994e787bcf1d3f41c9ac079db59f61661327c0b0e44d8cdf834792ee527bee39f13
+MISC metadata.xml 1388 SHA256 365a88ae053d47050b6b50d05eb518755a3aeb0c91ca77d2d8eeabfd24a2447f SHA512 deb4ce50904ebf52f2b390009d23a63fa63a1652063a924406b6d6cd3c1c30fefbd71525aaeda73f57d7178afebcbd348080a5661439a365bb15bdbf95608b55 WHIRLPOOL 8ef6d3c3c05c66b1a960366f7c69fd401ab8b49145ef464eae8c94daf9935dad96f5e499e550d87435aa960a7aa3e2b8b1afc9f693d2a0db0e52bc6c77cdbbe7
diff --git a/dev-lang/ruby/metadata.xml b/dev-lang/ruby/metadata.xml
new file mode 100644
index 00000000..963d76ed
--- /dev/null
+++ b/dev-lang/ruby/metadata.xml
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>ruby</herd>
+ <use>
+ <flag name='rubytests'>
+ Install ruby tests that can only be run after ruby is installed
+ </flag>
+
+ <flag name='libedit'>
+ Use the <pkg>dev-libs/libedit</pkg> library to provide the
+ readline extension, used for instance by the irb tool. This flag
+ will take precedence over the readline USE flag.
+
+ If neither libedit nor readline USE flags are enabled, the
+ readline extension will not be built (and irb will lose line
+ editing functionality).
+ </flag>
+
+ <flag name='readline'>
+ Use the <pkg>sys-libs/readline</pkg> library to provide the
+ readline extension, used for instance by the irb tool. This flag
+ is meaningful only if the libedit USE flag is disabled.
+
+ If neither libedit nor readline USE flags are enabled, the
+ readline extension will not be built (and irb will lose line
+ editing functionality).
+ </flag>
+
+ <flag name='yaml'>
+ Use the <pkg>dev-libs/libyaml</pkg> library to build the psych
+ extension, available since Ruby 1.9.2_rc2, in alternative to the
+ bundled syck-based parser.
+ </flag>
+
+ <flag name='rdoc'>
+ Install <pkg>dev-ruby/rdoc</pkg> after installing Ruby.
+ </flag>
+ </use>
+</pkgmetadata>
diff --git a/dev-lang/ruby/ruby-1.8.7_p371.ebuild b/dev-lang/ruby/ruby-1.8.7_p371.ebuild
new file mode 100644
index 00000000..df6b6641
--- /dev/null
+++ b/dev-lang/ruby/ruby-1.8.7_p371.ebuild
@@ -0,0 +1,193 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ruby-1.8.7_p371.ebuild,v 1.12 2013/03/10 16:18:50 ago Exp $
+
+EAPI=2
+
+inherit autotools eutils flag-o-matic multilib versionator
+
+MY_P="${PN}-$(replace_version_separator 3 '-')"
+S=${WORKDIR}/${MY_P}
+
+SLOT=$(get_version_component_range 1-2)
+MY_SUFFIX=$(delete_version_separator 1 ${SLOT})
+# 1.8 and 1.9 series disagree on this
+RUBYVERSION=$(get_version_component_range 1-2)
+
+if [[ -n ${PATCHSET} ]]; then
+ if [[ ${PVR} == ${PV} ]]; then
+ PATCHSET="${PV}-r0.${PATCHSET}"
+ else
+ PATCHSET="${PVR}.${PATCHSET}"
+ fi
+else
+ PATCHSET="${PVR}"
+fi
+
+DESCRIPTION="An object-oriented scripting language"
+HOMEPAGE="http://www.ruby-lang.org/"
+SRC_URI="mirror://ruby/${SLOT}/${MY_P}.tar.bz2
+ http://dev.gentoo.org/~flameeyes/ruby-team/${PN}-patches-${PATCHSET}.tar.bz2"
+
+LICENSE="|| ( Ruby GPL-2 )"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="+berkdb debug doc examples +gdbm ipv6 rubytests socks5 ssl threads tk xemacs ncurses +readline libedit"
+
+RDEPEND="
+ berkdb? ( sys-libs/db )
+ gdbm? ( sys-libs/gdbm )
+ ssl? ( >=dev-libs/openssl-0.9.8m )
+ socks5? ( >=net-proxy/dante-1.1.13 )
+ tk? ( dev-lang/tk[threads=] )
+ ncurses? ( sys-libs/ncurses )
+ libedit? ( dev-libs/libedit )
+ !libedit? ( readline? ( sys-libs/readline ) )
+ sys-libs/zlib
+ >=app-admin/eselect-ruby-20100603
+ !<dev-ruby/rdoc-2"
+DEPEND="${RDEPEND}"
+PDEPEND="xemacs? ( app-xemacs/ruby-modes )"
+
+src_prepare() {
+ EPATCH_FORCE="yes" EPATCH_SUFFIX="patch" \
+ epatch "${WORKDIR}/patches"
+
+ # Fix a hardcoded lib path in configure script
+ sed -i -e "s:\(RUBY_LIB_PREFIX=\"\${prefix}/\)lib:\1$(get_libdir):" \
+ configure.in || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=
+
+ # -fomit-frame-pointer makes ruby segfault, see bug #150413.
+ filter-flags -fomit-frame-pointer
+ # In many places aliasing rules are broken; play it safe
+ # as it's risky with newer compilers to leave it as it is.
+ append-flags -fno-strict-aliasing
+
+ # Socks support via dante
+ if use socks5 ; then
+ # Socks support can't be disabled as long as SOCKS_SERVER is
+ # set and socks library is present, so need to unset
+ # SOCKS_SERVER in that case.
+ unset SOCKS_SERVER
+ fi
+
+ # Increase GC_MALLOC_LIMIT if set (default is 8000000)
+ if [ -n "${RUBY_GC_MALLOC_LIMIT}" ] ; then
+ append-flags "-DGC_MALLOC_LIMIT=${RUBY_GC_MALLOC_LIMIT}"
+ fi
+
+ # ipv6 hack, bug 168939. Needs --enable-ipv6.
+ use ipv6 || myconf="${myconf} --with-lookup-order-hack=INET"
+
+ if use libedit; then
+ einfo "Using libedit to provide readline extension"
+ myconf="${myconf} --enable-libedit --with-readline"
+ elif use readline; then
+ einfo "Using readline to provide readline extension"
+ myconf="${myconf} --with-readline"
+ else
+ myconf="${myconf} --without-readline"
+ fi
+
+ econf \
+ --program-suffix="${MY_SUFFIX}" \
+ --enable-shared \
+ $(use_enable socks5 socks) \
+ $(use_enable doc install-doc) \
+ $(use_enable threads pthread) \
+ --enable-ipv6 \
+ $(use_enable debug) \
+ $(use_with berkdb dbm) \
+ $(use_with gdbm) \
+ $(use_with ssl openssl) \
+ $(use_with tk) \
+ $(use_with ncurses curses) \
+ ${myconf} \
+ --with-sitedir=/usr/$(get_libdir)/ruby/site_ruby \
+ --enable-option-checking=no \
+ || die "econf failed"
+}
+
+src_compile() {
+ emake EXTLDFLAGS="${LDFLAGS}" || die "emake failed"
+}
+
+src_test() {
+ emake -j1 test || die "make test failed"
+
+ elog "Ruby's make test has been run. Ruby also ships with a make check"
+ elog "that cannot be run until after ruby has been installed."
+ elog
+ if use rubytests; then
+ elog "You have enabled rubytests, so they will be installed to"
+ elog "/usr/share/${PN}-${SLOT}/test. To run them you must be a user other"
+ elog "than root, and you must place them into a writeable directory."
+ elog "Then call: "
+ elog
+ elog "ruby${MY_SUFFIX} -C /location/of/tests runner.rb"
+ else
+ elog "Enable the rubytests USE flag to install the make check tests"
+ fi
+}
+
+src_install() {
+ # Ruby is involved in the install process, we don't want interference here.
+ unset RUBYOPT
+
+ local MINIRUBY=$(echo -e 'include Makefile\ngetminiruby:\n\t@echo $(MINIRUBY)'|make -f - getminiruby)
+
+ LD_LIBRARY_PATH="${D}/usr/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ RUBYLIB="${S}:${D}/usr/$(get_libdir)/ruby/${RUBYVERSION}"
+ for d in $(find "${S}/ext" -type d) ; do
+ RUBYLIB="${RUBYLIB}:$d"
+ done
+ export LD_LIBRARY_PATH RUBYLIB
+
+ emake DESTDIR="${D}" install || die "make install failed"
+
+ keepdir $(${MINIRUBY} -rrbconfig -e "print Config::CONFIG['sitelibdir']")
+ keepdir $(${MINIRUBY} -rrbconfig -e "print Config::CONFIG['sitearchdir']")
+
+ if use doc; then
+ make DESTDIR="${D}" install-doc || die "make install-doc failed"
+ fi
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r sample
+ fi
+
+ dosym "libruby${MY_SUFFIX}$(get_libname ${PV%_*})" \
+ "/usr/$(get_libdir)/libruby$(get_libname ${PV%.*})"
+ dosym "libruby${MY_SUFFIX}$(get_libname ${PV%_*})" \
+ "/usr/$(get_libdir)/libruby$(get_libname ${PV%_*})"
+
+ dodoc ChangeLog NEWS README* ToDo || die
+
+ if use rubytests; then
+ pushd test
+ insinto /usr/share/${PN}-${SLOT}/test
+ doins -r .
+ popd
+ fi
+}
+
+pkg_postinst() {
+ if [[ ! -n $(readlink "${ROOT}"usr/bin/ruby) ]] ; then
+ eselect ruby set ruby${MY_SUFFIX}
+ fi
+
+ elog
+ elog "To switch between available Ruby profiles, execute as root:"
+ elog "\teselect ruby set ruby(18|19|...)"
+ elog
+}
+
+pkg_postrm() {
+ eselect ruby cleanup
+}